## com.bbn.openmap.tools.symbology.milStd2525
Class CodeOrderOfBattle

    java.lang.Object
      |
      +--com.bbn.openmap.tools.symbology.milStd2525.CodePosition
            |
            +--com.bbn.openmap.tools.symbology.milStd2525.CodeOrderOfBattle

public class CodeOrderOfBattle
extends CodePosition

The CodeOrderOfBattle CodePosition handles the 15th character in most symbol codes. It provides additional information about the role of a symbol in the battlespace.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeOrderOfBattle()`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeOrderOfBattle

    public CodeOrderOfBattle()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details